Skip to main content
List products

Authorizations

X-API-Key
string
header
required

Query Parameters

commission_program_ids
string<uuid>[]

Multiple values may be separated by commas.

is_digital
boolean
is_purchasable
boolean
limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

ordering
string

Which field to use when ordering the results.

A search term.

Response

200 - application/json
id
string<uuid>
required
read-only
bigcommerce_id
integer
required
read-only
name
string
required
Required string length: 1 - 250
is_digital
boolean
required
read-only
thumbnail_url
string<uri> | null
required
read-only
is_purchasable
boolean
required
read-only
order_quantity_min
integer | null
required
read-only

null when there is no minimum order quantity.

order_quantity_max
integer | null
required
read-only

null when there is no maximum order quantity.

inventory_level
integer | null
required
read-only

null when inventory is not tracked at the product level.

commission_programs
object[]
required
read-only
options
object[]
required
read-only
variants
object[]
required
read-only
tax_code
string
Maximum string length: 255
lot_serial_required
boolean